Bug 789324 - 'headpin product list' ends up with error 'column environments.locker does not exist'
'headpin product list' ends up with error 'column environments.locker does no...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom McKay
SAM QE List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 07:32 EST by Jakub Dorňák
Modified: 2012-04-26 20:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2012-02-10 07:32:31 EST
Description of problem:
'headpin product list' ends up with error 'column environments.locker does not exist'


Version-Release number of selected component (if applicable):
katello-cli-headpin-0.1.15-2.el6.noarch


How reproducible:
after default installation using command:
# headpin --username admin --password admin product list --org 'Red Hat'


Actual results:
PGError: ERROR:  column environments.locker does not exist
LINE 1: SELECT "environments".* FROM "environments" WHERE "environme...
                                                          ^
: SELECT "environments".* FROM "environments" WHERE "environments"."locker" = 't' AND "environments"."organization_id" = 2


Expected results:
list of products


Additional info:
Comment 2 Tom McKay 2012-03-06 11:05:32 EST
This is fixed in Subscription Asset Manager Version: 0.1.141-1.el6 (perhaps earlier versions too).
Comment 3 Eric Sammons 2012-03-06 15:31:14 EST
# headpin --username admin --password admin product list --org manifestZ3iImD2gCTwNBtv
------------------------------------------------------------------------------------------------------------------------------------------------
                                  Product List For Organization manifestZ3iImD2gCTwNBtv, Environment 'Library'

 Id          Name                                                                     Provider Id   Provider Name   Sync Plan Name   GPG key  
------------------------------------------------------------------------------------------------------------------------------------------------
 69          Red Hat Enterprise Linux Server                                          4             Red Hat                                   
 RH0103708   Red Hat Enterprise Linux Server Premium 8 sockets Up to 4 guests         4             Red Hat                                   
 RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   4             Red Hat                         

VERIFIED
katello-headpin-all-0.1.141-1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.